org.richfaces.fragment.calendar

## Enum TimeEditor.SetValueBy

- java.lang.Object
- - java.lang.Enum<TimeEditor.SetValueBy>
  - - org.richfaces.fragment.calendar.TimeEditor.SetValueBy

- All Implemented Interfaces:
    Serializable, Comparable<TimeEditor.SetValueBy>
  Enclosing class:
    TimeEditor

      public static enum TimeEditor.SetValueBy
      extends Enum<TimeEditor.SetValueBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUTTONS`
    `TYPING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeEditor.SetValueBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimeEditor.SetValueBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPING

          public static final TimeEditor.SetValueBy TYPING

    - #### BUTTONS

          public static final TimeEditor.SetValueBy BUTTONS

  - ### Method Detail

    - #### values

          public static TimeEditor.SetValueBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeEditor.SetValueBy c : TimeEditor.SetValueBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeEditor.SetValueBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.